file.hpp File Reference
`#include <cerrno>`
`#include <cstddef>`
`#include <cstdio>`
`#include <system_error>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <osmium/util/cast.hpp>`
Include dependency graph for file.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::util
| Helpful utility classes and functions not strictly OSM related.

## Functions

size_t | osmium::util::file_size (int fd)
void | osmium::util::resize_file (int fd, size_t new_size)
size_t | osmium::util::get_pagesize ()